<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets">
	<html>
	<body>
<div id="Menu">
		<ui:include src="/HomeEmployee.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		 <div class="col-lg-9" >
		 <h:form>
<h:selectOneMenu value="#{myTasksBean.selectedOption}">
<f:selectItem itemLabel="SELECT A FILTER"/>
<f:selectItem itemValue= "ToDO" itemLabel="TO DO"/>
<f:selectItem itemValue= "DOING" itemLabel="Doing"/>
<f:selectItem itemValue= "DONE" itemLabel="Done"/>
</h:selectOneMenu>
<h:commandButton action="#{myTasksBean.doGetMyTasksByStatus()}" value="Filter" />
</h:form>
<h1>MY TASKS</h1> 
<div class="widget-content">

<div class="widget">
<div class="data-table-toolbar">
									<div class="row">
										<div class="col-md-4">
											
										</div>
										<div class="col-md-8">
											<div class="toolbar-btn-action">
											
											</div>
										</div>
									</div>
								</div>


<div class="table-responsive">
<h:form>
<h:dataTable data-sortable="table table-hover table-striped" var="task" value="#{myTasksBean.myTasks}" border="2">

			<h:column>
			<f:facet name="header">
			<h:outputText value="Name" />
			</f:facet>
			<h:outputText value="#{task.taskPk.name}" />
			</h:column>
						
			<h:column>
			<f:facet name="header">
			<h:outputText value="Description" />
			</f:facet>
			<h:outputText value="#{task.description}" />
			</h:column>
        	
        	<h:column>
			<f:facet name="header">
			<h:outputText value="Date of beginning" />
			</f:facet>
			<h:outputText value="#{task.dateTaskBeginning}" />
			</h:column>
        	
        	<h:column>
			<f:facet name="header">
			<h:outputText value="End date" />
			</f:facet>
			<h:outputText value="#{task.dateEnd}" />
			</h:column>
			
        	<h:column>
			<f:facet name="header">
			<h:outputText value="Status" />
			</f:facet>
			<h:outputText value="#{task.statusTask}" />
			</h:column>
			


			<h:column>
			<f:facet name="header">
			<h:outputText value="Status" />
			</f:facet>
        		<h:commandButton action="#{myTasksBean.selectTask(task.taskPk.name,task.project.id)}" value="Select Task" />
			</h:column>
        	
        	
        	
</h:dataTable>
</h:form>
</div>
<h:form rendered="#{myTasksBean.showForm}">
<h:outputLabel value="TASK TO UPDATE" />
	<ul>
		<li>Name project : #{myTasksBean.taskToUpdate.project.name}</li>
		<li>Name task : #{myTasksBean.taskToUpdate.taskPk.name}</li>
		<li>Description : #{myTasksBean.taskToUpdate.description}</li>
		<h:selectOneMenu value="#{myTasksBean.selectedOption}">
			<f:selectItem itemValue="ToDO" itemLabel="TO DO"/>
			<f:selectItem itemValue="DOING" itemLabel="Doing"/>
			<f:selectItem itemValue="DONE" itemLabel="Done"/>
		</h:selectOneMenu>
	</ul>
		<h:commandButton action="#{myTasksBean.doUpdate()}" value="Update" />
	

</h:form>
</div>
</div>

</div>


		  <br></br>
		  </div>
		  </div>
		<ui:include src="Footer.xhtml" />
		
		</body>
		</html>
</ui:composition>